:root {
    --primary-font: "Montserrat", sans-serif;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: var(--primary-font);
    font-optical-sizing: auto;
    font-style: normal;
    background-color: #fff;
    margin:0;
    padding:0;
    min-height: 100svh;
    display: flex;
    flex-direction: column;
}
.video-container{
    width: 70%;
    max-width: 800px;
    height:auto;
}
.register-form > div, .login-form > div{
    display: flex;
    flex-direction: column;
    margin-top: 1em;
    margin-bottom: 1em;
}
.register-form > div > label, .login-form > div > label{
    margin-bottom: 3px;
}
.company-input-container{
    display: none;
}
header{
    height: 200px;
    display: flex;
    background: white;
}
.nav-logo{
    width: 12vw;
    max-width: 250px;
    min-width: 150px;
    height: auto;
}
.navbar {
    color: #000;
    padding: 10px 20px 0px 20px;
}
.navbar-top{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.navbar-bottom {
    padding-top: 0.5em;
    margin-top: 0.5em;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}
.navbar-bottom a:hover {
    border-bottom: 1px solid #fff;
}
.navbar-bottom > ul{
    list-style-type: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 1em;
    margin: 0;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0;
}
.navbar-bottom > ul > li{
    width:100px;
    text-align: center;
}
.header-menu-link {
    text-decoration: none;
    color: #000;
    font-size: 16px;
}
.btn-primary {
    width: 100%;
    font-size: 1em;
    display: block;
    padding: 10px;
    background-color: #000;
    color: white;
    text-align: center;
    text-decoration: none;
    border: none;
    transition: background-color 0.3s, border-color 0.3s;
    cursor: pointer;
    box-sizing: border-box;
    font-family: inherit;
}
.btn-primary:hover {
    background-color: rgba(0, 0, 0, 0.8);
}
.btn-primary:active {
    color: black;
    background-color: #fff;
    border: 1px solid #000;
}
.btn-secondary {
    width: 100%;
    font-size: 1em;
    display: block;
    padding: 10px;
    background-color: #fff;
    color: black;
    border: 1px solid #000;
    text-align: center;
    text-decoration: none;
    transition: background-color 0.3s, border-color 0.3s;
    cursor: pointer;
    box-sizing: border-box;
    font-family: inherit;
}
.btn-secondary:hover {
    background-color: rgba(0, 0, 0, 0.05);
}
.btn-secondary:active {
    background-color: #fff;
}
.navbar-side{
    width: 300px;
    display: flex;
}
input[type=text], input[type=email], input[type=url], input[type=password], input[type=tel], input[type=range], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], input[type=number], input[type=search]{
    border: 1px solid #000;
    color: #000;
    font-weight: 300;
    width: 100%;
    box-sizing: border-box;
    -webkit-box-sizing:border-box;
    -moz-box-sizing: border-box;
    height: 50px;
    padding: 0 16px;
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    font-size: 14px;
}
.course-card{
    display: flex;
    margin-bottom: 30px;
    padding: 20px;
    background-color: #b5a282;
    gap: 10px;
    min-height: 200px;
    box-shadow: 0 10px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.course-card-description{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.course-card > img{
    width:30%;
    height: auto;
    object-fit: contain;
    object-position: top left;
}
.course-card-description > .btn-primary{
    width: 200px;
    margin-top: auto;
    align-self: flex-end;
}
.course-card-description > .description{
    margin-bottom: 10px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    transition: max-height 0.3s ease;
}
.course-card-description > .description.expanded{
    -webkit-line-clamp: unset;
    max-height: none;
}
.course-card-description > .header{
    font-weight: bold;
    display: block;
    font-size: 1.6em;
    margin-bottom: 10px;
}
.auth-container{
    display: flex;
    justify-content: center;
}

.auth-container > div{
    width: 50%;
    max-width: 500px;
}

.admin-container{
    display: flex;
    justify-content: center;
}

.admin-container > div{
    overflow-x:auto;
    width: 95%;
}
.admin-container th, .admin-container td{
    text-align: left;
    padding: 10px;
}

.big-container{
    display: flex;
    justify-content: center;
}

.big-container > div{
    width: 50%;
    max-width: 700px;
}

.orders-container{
    display: flex;
    justify-content: center;
}
.orders-container > div{
    width: 60%;
    max-width: 1000px;
}
.courses-container{
    display: flex;
    justify-content: center;
}
.courses-container > div{
    width: 80%;
    max-width: 1000px;
}
table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 0.9em;
    color: #333;
    background-color: #fff;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    overflow: hidden;
}

table thead tr {
    background-color: #b5a282;
    color: #000;
}
table thead th {
    text-align: left;
}
table th,
table td {
    padding: 12px 15px;
}

table tbody tr:nth-of-type(even) {
    background-color: #f3f3f3;
}

table tbody tr:last-of-type {
    border-bottom: 2px solid #b5a282;
}
.swal2-confirm{
    background-color: black;
    border-radius: 0;
}
.swal2-title{
    color: black;
}
.swal2-html-container{
    color: black;
}
footer{
    padding-top: 30px;
    padding-bottom:30px;
    background-color: #b5a282;
    text-align: center;
}
footer > div > a{
    text-decoration: none;
    font-weight: bold;
    color: black;
}
footer {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
main{
    flex:1;
}
.read-more-btn{
    margin-bottom: 5px;
    text-decoration: underline;
    cursor: pointer;
}

.back-to-unicumpro{
    text-decoration: none;
    color: #000;
    align-content: center;
}

.register-form > div.checkbox-container{
    display: block;
}
.checkout-container{
    display: flex;
    gap: 1em;
}
.checkout-name{
    font-weight: bold;
}
.hero {
    min-height: 50svh;
    text-align: center;
}
.hero-content{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 6vh;
    color: #fff;
}
.hero-content h1 {
    font-size: 2.5rem;
    margin: 0;
    color: #fff;
}
.hero-content a {
    margin-top: 2rem;
    width: 15em;
    margin-bottom: 2rem;
    background-color: #b5a282;
    color: black;
}
.hero-content a:hover {
    background-color: #b8aea1;
}
.hero-content a:active {
    border: none;
}

.hero-content p {
    max-width: 50em;
    width: 95%;
    text-align: center;
}

.checkout-props{
    display: flex;
    margin-bottom: 0.4em;
}

.checkout-props-name{
    width: 10ch;
}

.checkout-props-container{
    flex: 1;
}

.checkout-props-container > a {
    width:fit-content;
}

.checkout-items{
    padding-inline-start: 0;
}

.checkout-items li:first-child {
    font-weight: 700;
    margin-bottom: 1rem;
}
.checkout-items li:last-child {
    padding-bottom: 1rem;
    border-bottom: 2px solid grey;
}
.checkout-items img {
    width: 100px;
    height: auto;
    object-fit: contain;
    object-position: top left;
}
.checkout-items > li{
    list-style-type: none;
    display: flex;
    justify-content: space-between;
}
.checkout-sum{
    font-weight: 700;
    font-size: 1.25em;
    text-align: right;
}
.buy-disclaimer{
    font-size: smaller;
}
.btn-pay{
    margin: 1em 0;
}
.lesson-disclaimer{
    margin-top: 30px;
    margin-bottom: 20px;
    font-size: smaller;
}
.lesson-description{
    margin-top: 30px;
    margin-bottom: 20px;
}
.questionnaire > h2 {
    font-size: 2em;
}
#questionnaire_result{
    margin: 10px 0 10px 0;
    text-align: center;
}
.questionnaire-questions-answers{
    margin: 10px 0 10px 0;
}
.questionnaire-questions-answers > .question {
    font-weight: 700;
    font-size: 1.15em;
    margin: 5px;
}
.questionnaire-questions-answers > .answer {
    padding: 3px 0 3px 0;
}
.question-wrapper{
    margin-bottom: 10px;
}
@media only screen and (max-width: 1000px) {
    .courses-container > div{
        width: 90%;
    }
    .course-card > img{
        width:100%;
        height: auto;
    }
    .course-card{
        flex-direction: column;
        align-items: center;
    }

    thead {
        display: none;
    }

    tbody, tr, td {
        display: block;
        width: 100%;
    }

    tr {
        padding: 10px;
    }

    td {
        display: flex;
        padding: 8px 0;
        border: none;
        position: relative;
    }

    td::before {
        content: attr(data-label);
        font-weight: bold;
        width: 10rem;
    }
}
@media only screen and (max-width: 600px) {
    .video-container{
        width: 96%;
    }
    .auth-container > div{
        width: 95%;
    }
    .big-container > div{
        width: 95%;
    }
    .orders-container > div{
        width: 95%;
    }
    .courses-container > div{
        width: 90%;
    }
    .back-to-unicumpro{
        font-size: 0.75em;
    }
    .checkout-container{
        flex-direction: column;
    }
    .hero-content{
        padding-top: 5vh;
    }
    .hero-content h1{
        font-size: 1.5rem;
    }
}
